<script type="text/javascript" charset="utf-8">
    $(document).ready(function () {
        var segment = broadcast.getValueFromHash('segment');
        if (!segment) {
            segment = broadcast.getValueFromUrl('segment');
        }

        $('#visitsLive').liveWidget({
            interval: {{ liveRefreshAfterMs }},
            onUpdate: function () {
                //updates the numbers of total visits in startbox
                var ajaxRequest = new ajaxHelper();
                ajaxRequest.setFormat('html');
                ajaxRequest.addParams({
                    module: 'Live',
                    action: 'ajaxTotalVisitors',
                    segment: segment
                }, 'GET');
                ajaxRequest.setCallback(function (r) {
                    $("#visitsTotal").html(r);
                });
                ajaxRequest.send(false);
            },
            maxRows: 10,
            fadeInSpeed: 600,
            dataUrlParams: {
                module: 'Live',
                action: 'getLastVisitsStart',
                segment: segment
            }
        });
    });
</script>

{% include "@Live/_totalVisitors.twig" %}

{{ visitors|raw }}

{% spaceless %}
<div class="visitsLiveFooter">
    <a title="{{ 'Live_OnClickPause'|translate('Live_VisitorsInRealTime'|translate) }}" href="javascript:void(0);" onclick="onClickPause();">
        <img id="pauseImage" border="0" src="plugins/Live/images/pause.png" />
    </a>
    <a title="{{ 'Live_OnClickStart'|translate('Live_VisitorsInRealTime'|translate) }}" href="javascript:void(0);" onclick="onClickPlay();">
        <img id="playImage" style="display: none;" border="0" src="plugins/Live/images/play.png" />
    </a>
    {% if not disableLink %}
        &nbsp;
        <a class="rightLink" href="#" onclick="this.href=broadcast.buildReportingUrl('category=General_Visitors&subcategory=Live_VisitorLog')">{{ 'Live_LinkVisitorLog'|translate }}</a>
    {% endif %}
</div>
{% endspaceless %}
